#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aceh1.30_base.ps
projection=-JM16.0c+
region=-R96.3/97.9/3.8/5.0
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map aceh1.30' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/h10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
     4.495    97.683
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
     4.605    96.930
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
     4.019    97.611
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
     3.879    97.499
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
     3.972    97.379
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
     4.350    96.541
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
     4.511    97.634
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
     4.943    97.606
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
     4.021    96.582
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
     4.393    97.778
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
     4.611    96.602
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
     4.449    96.657
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
     4.658    96.865
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
     4.010    97.234
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
     4.556    96.822
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
     4.382    96.523
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
     4.161    97.078
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
     4.421    96.525
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
     4.624    96.682
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
     4.667    96.712
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
     4.581    96.770
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
     4.594    96.788
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
     4.262    96.635
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
     4.399    96.432
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
     4.370    96.524
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
     4.402    96.483
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
     4.778    97.183
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
     4.056    97.198
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
     4.325    96.561
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
     4.107    97.198
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.495    97.680
     4.495    97.683
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.515    97.645
     4.495    97.683
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.603    96.930
     4.605    96.930
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.664    96.769
     4.605    96.930
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.019    97.610
     4.019    97.611
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.103    97.554
     4.019    97.611
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     3.879    97.497
     3.879    97.499
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     3.894    97.405
     3.879    97.499
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     3.974    97.378
     3.972    97.379
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     3.988    97.336
     3.972    97.379
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.353    96.541
     4.350    96.541
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.308    96.506
     4.350    96.541
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.512    97.639
     4.511    97.634
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.522    97.554
     4.511    97.634
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.947    97.602
     4.943    97.606
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.928    97.510
     4.943    97.606
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.011    96.580
     4.021    96.582
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.045    96.472
     4.021    96.582
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.392    97.776
     4.393    97.778
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.511    97.831
     4.393    97.778
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.611    96.603
     4.611    96.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.687    96.566
     4.611    96.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.451    96.657
     4.449    96.657
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.374    96.645
     4.449    96.657
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.658    96.865
     4.658    96.865
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.664    96.736
     4.658    96.865
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.010    97.234
     4.010    97.234
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     3.953    97.118
     4.010    97.234
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.555    96.825
     4.556    96.822
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.735    96.795
     4.556    96.822
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.379    96.523
     4.382    96.523
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.375    96.477
     4.382    96.523
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.163    97.078
     4.161    97.078
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.114    96.992
     4.161    97.078
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.418    96.527
     4.421    96.525
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.402    96.468
     4.421    96.525
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.624    96.681
     4.624    96.682
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.691    96.582
     4.624    96.682
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.665    96.716
     4.667    96.712
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.728    96.613
     4.667    96.712
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.581    96.770
     4.581    96.770
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.619    96.684
     4.581    96.770
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.595    96.789
     4.594    96.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.633    96.645
     4.594    96.788
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.262    96.635
     4.262    96.635
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.169    96.644
     4.262    96.635
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.401    96.436
     4.399    96.432
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.441    96.524
     4.399    96.432
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.373    96.522
     4.370    96.524
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.439    96.529
     4.370    96.524
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.403    96.484
     4.402    96.483
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.423    96.474
     4.402    96.483
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.777    97.185
     4.778    97.183
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.796    97.209
     4.778    97.183
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.054    97.206
     4.056    97.198
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     3.921    97.147
     4.056    97.198
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.327    96.567
     4.325    96.561
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.406    96.554
     4.325    96.561
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     4.102    97.195
     4.107    97.198
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.213    97.199
     4.107    97.198
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
     4.495    97.683   -40.221     3.385     4.340
     4.605    96.930   -49.019     3.033     5.197
     4.019    97.611   -57.082     2.009     3.231
     3.879    97.499   -55.452     1.598     2.534
     3.972    97.379   -53.191     1.985     3.023
     4.350    96.541   -68.295     2.100     3.199
     4.511    97.634   -52.142     2.823     4.205
     4.943    97.606   -60.902     2.790     3.345
     4.021    96.582   -53.354     2.566     4.231
     4.393    97.778   -42.677     5.858    10.650
     4.611    96.602   -45.819     3.607     6.369
     4.449    96.657   -13.069     3.020     4.138
     4.658    96.865   -29.880     2.195     4.831
     4.010    97.234   -24.545     5.705     8.324
     4.556    96.822   -15.693     3.600     4.793
     4.382    96.523    23.104     3.513     3.825
     4.161    97.078   -58.321     1.556     2.610
     4.421    96.525    74.539     2.534     3.779
     4.624    96.682   -31.209     1.305     1.521
     4.667    96.712    45.372     3.438     6.270
     4.581    96.770    -0.636     1.666     1.759
     4.594    96.788     3.250     1.798     2.058
     4.262    96.635   -75.664     2.605     7.381
     4.399    96.432    -9.697     5.910    11.368
     4.370    96.524   -82.758     3.187     3.518
     4.402    96.483   -43.976     2.389     3.496
     4.778    97.183    45.170     2.969     3.865
     4.056    97.198   -14.656     5.913    12.853
     4.325    96.561   -33.397     4.437     9.257
     4.107    97.198   -64.488     1.900     3.327
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
     3.833    96.386     7.749     2.338     3.221
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
     3.833    96.408   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
     3.833    96.386     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
     3.833    96.386     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
     3.788    96.386   5 km
END
