#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aceh1.30_dcal.ps
projection=-JM16.0c+
region=-R94.5/99.7/2.0/6.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration aceh1.30' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/h10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.501    98.564
     3.879    97.499
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.501    98.564
     3.972    97.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.393    97.778
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.611    96.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.611    96.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.449    96.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.449    96.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.522    97.771
     4.449    96.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.658    96.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.658    96.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.522    97.771
     4.658    96.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.010    97.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.010    97.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.556    96.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.556    96.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.556    96.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.382    96.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.382    96.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.382    96.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.382    96.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.161    97.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.161    97.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.161    97.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.522    97.771
     4.161    97.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.161    97.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.161    97.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.421    96.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.421    96.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.421    96.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.421    96.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.421    96.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.624    96.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.624    96.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.624    96.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.667    96.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.667    96.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.667    96.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.667    96.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.667    96.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.667    96.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.667    96.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.581    96.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.581    96.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.581    96.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.581    96.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.522    97.771
     4.581    96.770
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.594    96.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.594    96.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.594    96.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.594    96.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.522    97.771
     4.594    96.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.262    96.635
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.262    96.635
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.399    96.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.399    96.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.399    96.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.399    96.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.370    96.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.370    96.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.370    96.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.370    96.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.370    96.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.370    96.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.370    96.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.402    96.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.402    96.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.402    96.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.402    96.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.402    96.483
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.778    97.183
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.778    97.183
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.778    97.183
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.778    97.183
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.778    97.183
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.260    97.180
     4.056    97.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.325    96.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.325    96.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.267    96.404
     4.107    97.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.457    97.970
     4.107    97.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     3.522    97.771
     4.107    97.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.107    97.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.107    97.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.229    96.947
     4.107    97.198
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
     3.501    98.564     0.300
     5.229    96.947     0.300
     3.260    97.180     0.300
     3.522    97.771     0.300
     4.267    96.404     0.300
     4.457    97.970     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.495    97.683     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.605    96.930     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.019    97.611     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     3.879    97.499     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     3.972    97.379     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.350    96.541     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.511    97.634     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.943    97.606     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.021    96.582     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.393    97.778     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.611    96.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.449    96.657     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.658    96.865     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.010    97.234     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.556    96.822     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.382    96.523     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.161    97.078     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.421    96.525     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.624    96.682     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.667    96.712     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.581    96.770     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.594    96.788     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.262    96.635     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.399    96.432     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.370    96.524     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.402    96.483     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.778    97.183     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.056    97.198     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.325    96.561     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     4.107    97.198     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
     4.387    96.957     0.000   222.000   222.000
     4.387    96.957     0.000   444.000   444.000
END
